Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0054625
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2024-02-08 17:532024-02-22 16:59
ReportercaristuView Statuspublic 
Assigned Toander_flores 
PriorityhighResolutionfixedFixed in VersionPR24Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0054625: Upgrade Jackson libraries

DescriptionUpgrade Jackson libraries from version 2.14.1 to the latest version available (2.16.1 currently)
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0032149 closedcaristu Openbravo ERP Upgrade Jackson libraries 
related to feature request 0037961 closedcaristu Openbravo ERP Upgrade Jackson libraries 
blocks feature request 0054537 newcaristu Modules Support authenticating users with Web Authentication (phase 1) 

-  Notes
(0160679)
hgbot (developer)
2024-02-13 11:28

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.poshwmanager.sources/-/merge_requests/104 [^]
(0160686)
hgbot (developer)
2024-02-13 13:31

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/1141 [^]
(0160702)
hgbot (developer)
2024-02-13 16:16

Merge Request created: https://gitlab.com/openbravo/tools/platform/dependencies/-/merge_requests/16 [^]
(0160703)
hgbot (developer)
2024-02-13 16:54

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.openapi/-/merge_requests/10 [^]
(0160720)
hgbot (developer)
2024-02-14 09:36

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.integration.azure.storage/-/merge_requests/20 [^]
(0161076)
hgbot (developer)
2024-02-22 10:27

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.poshwmanager/-/merge_requests/55 [^]
(0161142)
hgbot (developer)
2024-02-22 16:57

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 57a4fa80fa2c2faf9cdd9a52015b72b4d07361c5
Author: Ander Flores <ander.flores@openbravo.com>
Date: 22-02-2024 15:57:36
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/57a4fa80fa2c2faf9cdd9a52015b72b4d07361c5 [^]

Fixed ISSUE-54625: Update Jackson libraries to version 2.16.1

---
A lib/runtime/jackson-annotations-2.16.1.jar
A lib/runtime/jackson-core-2.16.1.jar
A lib/runtime/jackson-databind-2.16.1.jar
M legal/Licensing.txt
R lib/runtime/jackson-annotations-2.14.1.jar
R lib/runtime/jackson-core-2.14.1.jar
R lib/runtime/jackson-databind-2.14.1.jar
---
(0161143)
hgbot (developer)
2024-02-22 16:57

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/1141 [^]
(0161144)
hgbot (developer)
2024-02-22 16:58

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.poshwmanager.sources/-/merge_requests/104 [^]
(0161145)
hgbot (developer)
2024-02-22 16:58

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.poshwmanager.sources [^]
Changeset: 67775fe06d8375023b9d1aacd8882c8f7b39cf2e
Author: Ander Flores <ander.flores@openbravo.com>
Date: 20-02-2024 08:48:47
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.poshwmanager.sources/-/commit/67775fe06d8375023b9d1aacd8882c8f7b39cf2e [^]

Related to ISSUE-54625: Update Jackson libraries to version 2.16.1

---
A project/lib/jackson-annotations-2.16.1.jar
A project/lib/jackson-core-2.16.1.jar
A project/lib/jackson-databind-2.16.1.jar
A project/lib/jackson-datatype-jsr310-2.16.1.jar
M legal/Licensing.txt
M project/.classpath
M project/nbproject/project.properties
R project/lib/jackson-annotations-2.14.1.jar
R project/lib/jackson-core-2.14.1.jar
R project/lib/jackson-databind-2.14.1.jar
---
(0161146)
hgbot (developer)
2024-02-22 16:58

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.poshwmanager [^]
Changeset: 7b0e52141306b3395045e680d9adb4bfe870ec98
Author: Ander Flores <ander.flores@openbravo.com>
Date: 22-02-2024 09:28:57
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.poshwmanager/-/commit/7b0e52141306b3395045e680d9adb4bfe870ec98 [^]

Related to ISSUE-54625: Update Jackson libraries to version 2.16.1

---
A bin/lib/jackson-annotations-2.16.1.jar
A bin/lib/jackson-core-2.16.1.jar
A bin/lib/jackson-databind-2.16.1.jar
A bin/lib/jackson-datatype-jsr310-2.16.1.jar
M bin/poshw.jar
M bin/rev.id
M legal/Licensing.txt
R bin/lib/jackson-annotations-2.14.1.jar
R bin/lib/jackson-core-2.14.1.jar
R bin/lib/jackson-databind-2.14.1.jar
---
(0161147)
hgbot (developer)
2024-02-22 16:58

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.poshwmanager/-/merge_requests/55 [^]
(0161148)
hgbot (developer)
2024-02-22 16:59

Repository: https://gitlab.com/openbravo/tools/platform/dependencies [^]
Changeset: 78094ea21de8aa00144ac1dd3b960768480c01c2
Author: Ander Flores <ander.flores@openbravo.com>
Date: 13-02-2024 16:13:06
URL: https://gitlab.com/openbravo/tools/platform/dependencies/-/commit/78094ea21de8aa00144ac1dd3b960768480c01c2 [^]

Related to ISSUE-54625: Update Jackson libraries to version 2.16.1

---
M build.gradle
---
(0161149)
hgbot (developer)
2024-02-22 16:59

Merge request merged: https://gitlab.com/openbravo/tools/platform/dependencies/-/merge_requests/16 [^]
(0161150)
hgbot (developer)
2024-02-22 16:59

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.openapi [^]
Changeset: 54506ce80e65b524386705cc6d72e1cadfc8ef92
Author: Ander Flores <ander.flores@openbravo.com>
Date: 13-02-2024 16:50:36
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.openapi/-/commit/54506ce80e65b524386705cc6d72e1cadfc8ef92 [^]

Related to ISSUE-54625: Update Jackson libraries to version 2.16.1

---
A lib/runtime/jackson-dataformat-yaml-2.16.1.jar
A lib/runtime/jackson-datatype-jsr310-2.16.1.jar
M legal/Licensing.txt
R lib/runtime/jackson-dataformat-yaml-2.14.2.jar
---
(0161151)
hgbot (developer)
2024-02-22 16:59

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.openapi/-/merge_requests/10 [^]
(0161152)
hgbot (developer)
2024-02-22 16:59

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.integration.azure.storage [^]
Changeset: a618b9717cc0dbd50deb1fda929d3af9ad3460d6
Author: Ander Flores <ander.flores@openbravo.com>
Date: 22-02-2024 15:59:47
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.integration.azure.storage/-/commit/a618b9717cc0dbd50deb1fda929d3af9ad3460d6 [^]

Related to ISSUE-54625: Update Jackson libraries to version 2.16.1

---
A lib/runtime/jackson-dataformat-xml-2.16.1.jar
A lib/runtime/jackson-datatype-jsr310-2.16.1.jar
M legal/License.txt
R lib/runtime/jackson-annotations-2.13.5.jar
R lib/runtime/jackson-core-2.13.5.jar
R lib/runtime/jackson-databind-2.13.5.jar
R lib/runtime/jackson-datatype-jsr310-2.13.5.jar
---
(0161153)
hgbot (developer)
2024-02-22 16:59

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.service.integration.azure.storage/-/merge_requests/20 [^]

- Issue History
Date Modified Username Field Change
2024-02-08 17:53 caristu New Issue
2024-02-08 17:53 caristu Assigned To => caristu
2024-02-08 17:53 caristu Modules => Core
2024-02-08 17:53 caristu Triggers an Emergency Pack => No
2024-02-08 17:53 caristu Issue generated from 0032149
2024-02-08 17:53 caristu Relationship added related to 0032149
2024-02-08 17:53 caristu Relationship added related to 0037961
2024-02-08 17:55 caristu Description Updated View Revisions
2024-02-08 17:56 caristu Description Updated View Revisions
2024-02-08 17:56 caristu Relationship added blocks 0054527
2024-02-08 17:58 caristu Relationship deleted blocks 0054527
2024-02-08 17:58 caristu Relationship added blocks 0054537
2024-02-09 08:58 adrianromero Assigned To caristu => ander_flores
2024-02-13 11:28 hgbot Note Added: 0160679
2024-02-13 13:31 hgbot Note Added: 0160686
2024-02-13 16:16 hgbot Note Added: 0160702
2024-02-13 16:54 hgbot Note Added: 0160703
2024-02-14 09:36 hgbot Note Added: 0160720
2024-02-22 10:27 hgbot Note Added: 0161076
2024-02-22 16:57 hgbot Resolution open => fixed
2024-02-22 16:57 hgbot Status new => closed
2024-02-22 16:57 hgbot Fixed in Version => PR24Q2
2024-02-22 16:57 hgbot Note Added: 0161142
2024-02-22 16:57 hgbot Note Added: 0161143
2024-02-22 16:58 hgbot Note Added: 0161144
2024-02-22 16:58 hgbot Note Added: 0161145
2024-02-22 16:58 hgbot Note Added: 0161146
2024-02-22 16:58 hgbot Note Added: 0161147
2024-02-22 16:59 hgbot Note Added: 0161148
2024-02-22 16:59 hgbot Note Added: 0161149
2024-02-22 16:59 hgbot Note Added: 0161150
2024-02-22 16:59 hgbot Note Added: 0161151
2024-02-22 16:59 hgbot Note Added: 0161152
2024-02-22 16:59 hgbot Note Added: 0161153


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker